Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020669
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminoralways2012-06-04 12:042013-08-22 15:08
Reportereduardo_ArgalView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchpiFixed in SCM revisiond25616f76844
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020669: API Checks fails when adding a new set of parameters for a newly added process

DescriptionAPI Checks fails when adding a new set of parameters for a newly added process
Steps To ReproduceAdd a new process to dictionary with a couple of parameters and run api-checks
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060605)
shuehner (administrator)
2013-08-16 13:19

For testing both cases related to insertion should be checked. Adding a new parameter to an existing process (one which exists in the api-checks/model folder) should still be reported as an api-change.

New ad_process_para rows related to a new ad_process entry which does not exist in the reference model should no be reported anymore.
(0060608)
hgbot (developer)
2013-08-16 13:23

Repository: erp/devel/dbsm-main
Changeset: a5aa6d2b12400e610d40032b8eea65fba0ed35b6
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Aug 16 13:17:33 2013 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/a5aa6d2b12400e610d40032b8eea65fba0ed35b6 [^]

Issue 20669: Accept ad_process_para inserts if related to newly added process
If new ad_process_para entries are added which are related to a new process
added in the same compare run that is an acceptable change as no code can
be affected (as the process is newly added as well).
So only report api-change for existing processes.

---
M src/org/openbravo/ddlutils/util/ValidateAPIData.java
---
(0060610)
shuehner (administrator)
2013-08-16 13:26

Repository: erp/devel/pi
Changeset: c76f162b7ab00fa04fafe7d1fa5051133a019a4e
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Aug 16 13:21:17 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c76f162b7ab00fa04fafe7d1fa5051133a019a4e [^] [^]

Fixed 22176. Fixed 22669. Improve api-check
- Ignore ad_process_para insertions for new added processes as those
  are false positives.
- Report dropping of a not null constraint as api-check as existing
  code may rely on the column having a value.

---
M src-db/database/lib/dbsourcemanager.jar
(0060612)
hgbot (developer)
2013-08-16 15:18

Repository: erp/devel/dbsm-main
Changeset: adbb2dbfdf95957936ef785751e32b5d9d6525c6
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Aug 16 15:13:17 2013 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/adbb2dbfdf95957936ef785751e32b5d9d6525c6 [^]

Issue 20669: fix wrong logic in last commit

---
M src/org/openbravo/ddlutils/util/ValidateAPIData.java
---
(0060613)
hgbot (developer)
2013-08-16 15:18

Repository: erp/devel/pi
Changeset: d25616f76844ff441a11fb559cc5a53e926aaa7f
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Aug 16 15:15:14 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d25616f76844ff441a11fb559cc5a53e926aaa7f [^]

Fixed 20669: fix wrong logic from last commit

---
M src-db/database/lib/dbsourcemanager.jar
---
(0060665)
hudsonbot (developer)
2013-08-20 01:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/28c60a43e596 [^]

Maturity status: Test
(0060730)
AugustoMauch (developer)
2013-08-22 15:08

Code reviewed and verified in pi@d25616f76844ff441a11fb559cc5a53e926aaa7f

- Issue History
Date Modified Username Field Change
2012-06-04 12:04 eduardo_Argal New Issue
2012-06-04 12:04 eduardo_Argal Assigned To => shuehner
2012-06-04 12:04 eduardo_Argal Modules => Core
2013-08-16 13:08 shuehner Review Assigned To => AugustoMauch
2013-08-16 13:08 shuehner Triggers an Emergency Pack => No
2013-08-16 13:19 shuehner Note Added: 0060605
2013-08-16 13:23 hgbot Checkin
2013-08-16 13:23 hgbot Note Added: 0060608
2013-08-16 13:25 shuehner Status new => scheduled
2013-08-16 13:25 shuehner fix_in_branch => pi
2013-08-16 13:26 shuehner Note Added: 0060610
2013-08-16 13:26 shuehner Status scheduled => resolved
2013-08-16 13:26 shuehner Fixed in Version => 3.0MP27
2013-08-16 13:26 shuehner Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c76f162b7ab00fa04fafe7d1fa5051133a019a4e [^]
2013-08-16 13:26 shuehner Resolution open => fixed
2013-08-16 15:18 hgbot Checkin
2013-08-16 15:18 hgbot Note Added: 0060612
2013-08-16 15:18 hgbot Checkin
2013-08-16 15:18 hgbot Note Added: 0060613
2013-08-16 15:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/c76f162b7ab00fa04fafe7d1fa5051133a019a4e [^] => http://code.openbravo.com/erp/devel/pi/rev/d25616f76844ff441a11fb559cc5a53e926aaa7f [^]
2013-08-20 01:26 hudsonbot Checkin
2013-08-20 01:26 hudsonbot Note Added: 0060665
2013-08-22 15:08 AugustoMauch Note Added: 0060730
2013-08-22 15:08 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker